function page_main() {
    if (document.getElementById('page_index') === null) {
        url = '/';

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: function (data, status) {
                if (data.main !== undefined) {
                    main = document.getElementsByTagName('main')[0];

                    // Обновление документа
                    main.innerHTML = data.main;

                    // Реинициализация
                    reinitialization(main);
                }
                if (data.redirect !== undefined) {
                    // Перенаправление
                    history.pushState({}, document.title, data.redirect);
                }
                if (data._csrf !== undefined) {
                    // Обновление документа
                    $('meta[name=csrf-token]').prop("content", data._csrf);
                }
            },
            error: function (data, status) {
                if (data.responseJSON.main !== undefined) {
                    main = document.getElementsByTagName('main')[0];

                    // Обновление документа
                    main.innerHTML = data.responseJSON.main;

                    // Реинициализация
                    reinitialization(main);
                }
                if (data.responseJSON.redirect !== undefined) {
                    // Перенаправление
                    history.pushState({}, document.title, data.responseJSON.redirect);
                }
                if (data.responseJSON._csrf !== undefined) {
                    // Обновление документа
                    $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
                }
            }
        });
    }

    return false;
};

function page_profile() {
    url = '/profile'

    $.ajax({
        url: url,
        type: 'post',
        dataType: 'json',
        data: { '_csrf': yii.getCsrfToken() },
        success: function (data, status) {
            if (data.main !== undefined) {
                main = document.getElementsByTagName('main')[0];

                // Обновление документа
                main.innerHTML = data.main;

                // Реинициализация
                reinitialization(main);
            }
            if (data.redirect !== undefined) {
                // Перенаправление
                history.pushState({}, document.title, data.redirect);
            }
            if (data._csrf !== undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data._csrf);
            }
        },
        error: function (data, status) {
            if (data.responseJSON.main !== undefined) {
                main = document.getElementsByTagName('main')[0];

                // Обновление документа
                main.innerHTML = data.responseJSON.main;

                // Реинициализация
                reinitialization(main);
            }
            if (data.responseJSON.redirect !== undefined) {
                // Перенаправление
                history.pushState({}, document.title, data.responseJSON.redirect);
            }
            if (data.responseJSON._csrf !== undefined) {
                // Обновление документа
                $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
            }
        }
    });

    return false;
};

function notifications() {

    return false;
}